Adobe Creative Cloud < 5.5 Arbitrary file system write (APSB21-76) (macOS)

high Nessus Plugin ID 153459

Synopsis

The Adobe Creative Cloud instance installed on the remote host is affected by a vulnerability.

Description

The version of Adobe Creative Cloud installed on the remote macOS host is prior to 5.5. It is, therefore, affected by a vulnerability as referenced in the apsb21-76 advisory.

- Adobe Creative Cloud Desktop Application version 5.4 (and earlier) is affected by a file handling vulnerability that could allow an attacker to arbitrarily overwrite a file. Exploitation of this issue requires local access, administrator privileges and user interaction. (CVE-2021-28613)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Adobe Creative Cloud version 5.5 or later.

See Also

https://cwe.mitre.org/data/definitions/379.html

http://www.nessus.org/u?d345a92d

Plugin Details

Severity: High

ID: 153459

File Name: macosx_adobe_creative_cloud_apsb21-76.nasl

Version: 1.5

Type: local

Agent: macosx

Published: 9/17/2021

Updated: 5/10/2022

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 6.3

CVSS v2

Risk Factor: Low

Base Score: 3.3

Temporal Score: 2.4

Vector: AV:L/AC:M/Au:N/C:N/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2021-28613

CVSS v3

Risk Factor: High

Base Score: 7.4

Temporal Score: 6.4

Vector: CVSS:3.0/AV:L/AC:L/PR:H/UI:R/S:C/C:N/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:adobe:creative_cloud

Required KB Items: Host/local_checks_enabled, Host/MacOSX/Version, installed_sw/Creative Cloud

Exploit Ease: No known exploits are available

Patch Publication Date: 9/14/2021

Vulnerability Publication Date: 9/14/2021

Reference Information

CVE: CVE-2021-28613

IAVA: 2021-A-0421-S

CWE: 379